Subject: [bug#76407] About GCD process, consensus and derailment (was Re: Deliberation period for GCD 003 "Rename the default branch" has technically started)

From: André Batista <[email-masked]>
Date: Wed, 30 Apr 2025 13:24:12 -0300

Hi Simon,

qua 23 abr 2025 às 17:44:39 (1745441079), [email-masked] enviou:
> Hi Vagrant, all,
> 
> On Mon, 21 Apr 2025 at 11:58, Vagrant Cascadian <[email-masked]> wrote:
> 
> > The nature of (at least some of) those responses were largely a negation
> > that left little room to discuss how to move forward, which left me at
> > an impass as to how to even continue the discussion.
> >
> > Only in retrospect of having encountered this situation did I realize
> > there is a fundamental flaw in the GCD process (at least in my
> > opinion)...
> 
> I think the fundamental flaw comes from the lack of self-discipline.
> 
> Somehow, I’ve seen too: « a negation that left little room to discuss
> how to move forward ».  Building consensus requires a friendly mindset
> of the participants.  Did we read that?
> 
> 
> >             in that there is a presumption of moving forward and
> > accepting the proposed changes (in some capacity), rather than
> > maintaining the status quo. E.g. a person has to propose improvements in
> > order to reject the proposal, but there is nowhere in the process that
> > handles a fundamental disagreement about the proposal in any form. This
> > is contrary to any other genuine consensus process I have worked with.
> 
> As I wrote in [1]:
> 
>         Why do people need to drag in the discussion – in no specific order–:
>         Black friends, personal history with slavery or dictatorship, opinions
>         on US imperialism, Gaza massacre, English language, Ukrainian war, a
>         quote of Frantz Fanon, etc.
> 
> Well, from my point of view, the flaw isn’t about “proposing
> improvements in order to reject the proposal”, the flaw comes from the
> inadequate mindset when approaching the proposal.  For instance, one
> might disagree with the motivations section and instead of locking the
> discussion in some confrontational opinions, instead one might frame:
>

I agree, but this mindset maybe has to be either "fixed" or taken in
account by the process itself.

Blind, arbitrary negation shouldn't be valid, IMU.  People need to
understand that if a GCD was worked on and has supporters, there is an
issue to be addressed and that our personal preferences aren't what we
are being asked for, aka, this is not a pure voting system.

So even if the issue described does not affect one ("works here"), that
does not mean the issue is non-existent.

With this in mind, the bias towards approval is not a flaw or something
that was overlooked, but how we should work on it.

It could be that some proposal didn't get support, had an improper
solution, raised other issues which were not addressed, etc.  However,
it should not be admissable to disapprove without having "made
constructive comments during the discussion period", as GCD-1 stated.
In sum, disapproval blockades are not valid.

The flaw I see with this is: how do we decide if "constructive
comments" were made?  Vote counting becomes convoluted and recursive.
Vote invalidation becomes a sore issue among us.

IMO, right now we give it time to mature, before trying any premature
"optimization" to the process.